Ubuntu One notes sync is going away

Bug #1115460 reported by dobey on 2013-02-04
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
tomboy (Ubuntu)
Undecided
dobey
Lucid
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
dobey

Bug Description

[Impact]
The notes synchronization feature on Ubuntu One is going away, as announced on http://voices.canonical.com/ubuntuone/2013/02/04/notification-about-notes/ .

As there are a few patches related to this feature in the Tomboy package in Ubuntu, we'll need to pull them out, and push an update that doesn't default to using the service.

[Testcase]
After the update, the synchronization feature won't default to Ubuntu One any longer, or the Ubuntu One sync type will no longer be available. This varies across the versions of Ubuntu and Tomboy, so both will need checking.
(Synchronization should still work if user configured it prior to update, but will stop working once the server side is actually turned off.)

[Regression]
No more synchronization to the u1 servers, as planned.

Related branches

dobey (dobey) on 2013-02-04
Changed in tomboy (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 1.12.0-1ubuntu2

---------------
tomboy (1.12.0-1ubuntu2) raring; urgency=low

  * debian/patches/02_sync_save_button_sensitive.patch:
  * debian/patches/03_u1_as_default_sync.patch:
  * debian/patches/05_add_start_u1_note.patch:
  * debian/patches/06_use_ubuntu_sso.patch:
    - Remove patches to default to Ubuntu One for notes sync. (LP: #1115460)
 -- Rodney Dawes <email address hidden> Mon, 04 Feb 2013 13:11:52 -0500

Changed in tomboy (Ubuntu):
status: Triaged → Fix Released
Didier Roche (didrocks) on 2013-02-06
description: updated

Hello Rodney, or anyone else affected,

Accepted tomboy into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tomboy/1.12.0-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tomboy (Ubuntu Quantal):
status: New → Fix Committed
tags: added: verification-needed
Changed in tomboy (Ubuntu Oneiric):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Rodney, or anyone else affected,

Accepted tomboy into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tomboy/1.8.0-1ubuntu1.1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tomboy (Ubuntu Lucid):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Rodney, or anyone else affected,

Accepted tomboy into lucid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tomboy/1.2.2-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

dobey (dobey) on 2013-02-13
Changed in tomboy (Ubuntu Precise):
status: New → Fix Committed
description: updated
description: updated
Colin Watson (cjwatson) wrote :

Hello Rodney, or anyone else affected,

Accepted tomboy into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tomboy/1.10.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

dobey (dobey) wrote :

Dave Morley has tested all of the -proposed versions of tomboy to behave as expected with the update, on both 32 and 64 bit builds. I've set the verification-done tag to reflect this.

tags: added: verification-done
removed: verification-needed
tekstr1der (tekstr1der) wrote :

Wow, this isn't good news. The _only_ reason I use Ubuntu One is to keep 3 systems with Tomboy notes synced via U1 server.

What is the alternative when the servers are turned off?
Will Ubuntu still provide a sync server for supporting 12.04.x LTS users?

Colin Watson (cjwatson) wrote :

tekstr1der, while I sympathise, this bug isn't really a good place to get feedback on your concerns. The linked blog post (http://voices.canonical.com/ubuntuone/2013/02/04/notification-about-notes/) has more details and contact information.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 1.2.2-0ubuntu2

---------------
tomboy (1.2.2-0ubuntu2) lucid-proposed; urgency=low

  * debian/patches/03_u1_as_default_sync.patch:
    - Remove patches to default to Ubuntu One for notes sync. (LP: #1115460)
 -- Rodney Dawes <email address hidden> Mon, 04 Feb 2013 15:15:36 -0500

Changed in tomboy (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 1.8.0-1ubuntu1.1.2

---------------
tomboy (1.8.0-1ubuntu1.1.2) oneiric-proposed; urgency=low

  * debian/patches/02_sync_save_button_sensitive.patch:
  * debian/patches/03_u1_as_default_sync.patch:
  * debian/patches/05_add_start_u1_note.patch:
  * debian/patches/06_use_ubuntu_sso.patch:
    - Remove patches to default to Ubuntu One for notes sync. (LP: #1115460)
 -- Rodney Dawes <email address hidden> Mon, 04 Feb 2013 15:04:45 -0500

Changed in tomboy (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 1.10.1-0ubuntu2

---------------
tomboy (1.10.1-0ubuntu2) precise-proposed; urgency=low

  * debian/patches/02_sync_save_button_sensitive.patch:
  * debian/patches/03_u1_as_default_sync.patch:
  * debian/patches/05_add_start_u1_note.patch:
  * debian/patches/06_use_ubuntu_sso.patch:
    - Remove patches to default to Ubuntu One for notes sync. (LP: #1115460)
 -- Rodney Dawes <email address hidden> Mon, 04 Feb 2013 14:48:07 -0500

Changed in tomboy (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 1.12.0-1ubuntu1.1

---------------
tomboy (1.12.0-1ubuntu1.1) quantal-proposed; urgency=low

  * debian/patches/02_sync_save_button_sensitive.patch:
  * debian/patches/03_u1_as_default_sync.patch:
  * debian/patches/05_add_start_u1_note.patch:
  * debian/patches/06_use_ubuntu_sso.patch:
    - Remove patches to default to Ubuntu One for notes sync. (LP: #1115460)
 -- Rodney Dawes <email address hidden> Tue, 05 Feb 2013 11:26:05 -0500

Changed in tomboy (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers